Subject: [bug#69272] [PATCH v2 0/4] Refactor prosody modules, and add prosody-vcard-muc.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 24 Feb 2024 13:44:51 +0100

Am Samstag, dem 24.02.2024 um 12:32 +0100 schrieb Liliana Marie
Prikler:
> Am Dienstag, dem 20.02.2024 um 08:44 +1100 schrieb Carlo Zancanaro:
> > I noticed that the home-page line snuck out of the first commit and
> > ended up in the second. This should be better.
> Hi, I just noticed that the prosody system test, as can be run
> through
>   make check-system TESTS=prosody
> appears to not be working.
> 
> Now, it does print a warning
>   Prosody was unable to find lua-unbound
>   […]
> but I think you can ignore that.  What's worse is that despite
> seemingly having a timeout of one minute for its operations, it just…
> stalls.
Turns out I should have just waited longer.  Both without and with your
patches, the failure is

Test begin:
  test-name: "client-to-server communication"
  source-file: "/gnu/store/wqrrwk1w5wn4hdniffj3gsb91h3fpirl-prosody-
builder"
  source-line: 1
  source-form: (test-assert "client-to-server communication" (let
((freetalk-bin (string-append
"/gnu/store/9zl6dl4s2b57qax0ablavxbpk1h0aq9h-freetalk-4.2" )
Test end:
  result-kind: fail
  actual-value: #f
  actual-error: (misc-error #f "~A ~S" ("file didn't show up"
"/tmp/freetalk-witness") #f)

Cheers